Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

LiveOps API provides endpoints to drive ongoing player engagement with dynamic promotions and personalized experiences. Use the endpoints to manage coupons, promo codes, discounts, bonuses, unique catalog offers, reward chains, daily chains, offer chains, and upsell.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/liveops/
https://store.xsolla.com/api/
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Get list of upsell items in projectClient-side

Request

Gets a list of upsell items in a project if they have already been set up.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
curl -i -X GET \
  https://xsolla.redocly.app/_mock/api/liveops/v2/project/44056/items/upsell \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of upsell items was successfully received.

Bodyapplication/json
has_moreboolean(Pagination_has-more)

Used as an indicator that there are more pages.

Example: true
itemsArray of objects(Upsell_item)
Response
application/json
{ "has_more": true, "items": [ {}, {}, {} ] }